Payment links

Update payment link

Updates a payment link.

PATCH
/payment-links/{id}

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

id*string

Payment link ID.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X PATCH "https://example.com/payment-links/paylnk_IhMUl3rrZ3" \  -H "Content-Type: application/json" \  -d '{    "name": "Northwind APM Subscribe (updated)"  }'
{
  "payment_page": {
    "type": "subscription",
    "id": "paylnk_IhMUl3rrZ3",
    "name": "Northwind APM Subscribe",
    "status": "active",
    "description": "Subscribe to Northwind Application Performance Monitoring.",
    "slug": "nw-apm-subscribe",
    "url": "https://billingrails.page/northwind-labs-api-sandbox/pay/nw-apm-subscribe",
    "return_url": null,
    "created_at": "2025-02-14T17:33:40.843Z"
  },
  "meta": {
    "request_id": "req_IhMUl3rrZ3"
  }
}